Subject: Re: [Sipping] Bug report: sipping-service-example-04

From: Rohan Mahy <[email-masked]>
Date: Tue, 3 Jun 2003 14:51:58 -0700

On Wednesday, May 28, 2003, at 07:57 AM, FengZhang wrote:

> Hi all,
>
>    I think this is an error:
>
>    In section 2.17 Automatic Redial, the message F4 SUBSCRIBE is :
>    <quote>
>    F4 SUBSCRIBE Alice -> Bob
>
>    SUBSCRIBE sip:[email-masked] SIP/2.0
>    Via: SIP/2.0/UDP client.atlanta.example.com:5060;branch=z9hG4bK74bf9
>    Max-Forwards: 70
>    From: Alice <sip:[email-masked]>;tag=837348234
>    To: Bob <sip:[email-masked]>
>    Call-ID: [email-masked]
>    CSeq: 1 SUBSCRIBE
>    Contact: [email-masked]
>    Event: dialog
>    Subscription-State: active;expires=3600
>    Accept: application/dialog-info+xml
>    Content-Length: 0
>    </quote>
>
>    I think the "Subscription-State" header is unwanted.

correct.  good catch.  Subscription-State only belongs in NOTIFY 
requests.

>    BTW, I think this call flow should add another two messages: NOTIFY 
> & 200 OK , these two messages can tell that the subscription which 
> created by Alice is terminated. Maybe like this way:

Bob has no way to know that Alice wants the subscription to terminate 
early.  Instead, Alice should unsubscribe. Then Bob will inform Alice 
that the subscription is over.

thanks,
-rohan

>   Alice             Bob
>           |                |
>           |    INVITE F1   |
>           |--------------->|
>           |486 Busy Here F2|
>           |<---------------|    Bob is busy
>           |     ACK F3     |
>           |--------------->|
>           |  SUBSCRIBE F4  |
>           |--------------->|
>           |   200 OK F5    |
>           |<---------------|
>           |    NOTIFY F6   |
>           |<---------------|
>           |   200 OK F7    |
>           |--------------->|
>           |                |
>           |    NOTIFY F8   |    Bob is now available
>           |<---------------|
>           |   200 OK F9    |
>           |--------------->|
>           |                |

SUBSCRIBE ->
<- 200 OK

>           |<--NOTIFY-------|   <------- here should we add these two 
> messages?
>           |---- 200 OK --->|
>           |                |
>           |   INVITE F10   |
>           |--------------->|   Session setup successfully
>           | 180 Ringing F11|
>           |<---------------|
>           |   200 OK F12   |
>           |<---------------|
>           |     ACK F13    |
>           |--------------->|
>           |  Media Session |
>           |<==============>|
>           |                |
>
> Regards.
>  				
> 　　　　　　　　　　　　　　FengZhang
> 　　　　　　　　　　　　　　[email-masked]
> 　　　　　　　　　　　　　　　　　2003-05-28
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP